using System.Diagnostics;
using Microsoft.JSInterop;

namespace Front.Program.Services;

/// 개발기에서는 Debug 로그부터 모든 로그를 사용할 수 있지만, 운영에서는 Error 로그만 사용합니다.
// enum SystemLogLevel
// {
    // Debug,    // 0 : 상세 로그  - 파란색(#0000FF)
    // Info,     // 1 : 일반 로그  - 회색(#808080)
    // Success,  // 2 : 성공 로그  - 초록색(#008000)
    // Warning,  // 3 : 경고 로그  - 노란색(#FFFF00)
    // Error     // 4 : 오류 로그  - 빨간색(#FF0000)
// }

public class LoggerService
{
    private static bool _isDev;

    public static void Initialize(bool isDev)
    {
        _isDev = isDev;
    }

    private static void LogToConsole(string message)//, string fontWeight = "normal")
    {
        Console.WriteLine($"[{DateTime.Now:HH:mm:ss}] - {message}");
    }
    
    public static void Write(string message)
    {
        if (_isDev)
            LogToConsole(message);
    }
}